# Contributing to reduced.to 👋👋👋

Want to contribute to this project? We ❤️ it!

Here are a few types of contributions that we would be interested in hearing about.

- Bug fixes
  - If you find a bug, please first report it using Github Issues.
  - Issues that have already been identified as a bug will be labeled `🐛 bug`.
- New Features
  - If you'd like to accomplish something in the extension that it doesn't already do, describe the problem in a new Github Issue.
    - Issues that have been identified as a feature request will be labeled `✨ enhancement`.
    - If you'd like to implement the new feature, please wait for feedback from the project maintainers before spending
      too much time writing the code. In some cases, `✨ enhancement`s may not align well with the project objectives at
      the time.
- Tests, Documentation, Miscellaneous
  - If you think the test coverage could be improved, the documentation could be clearer, you've got an alternative
    implementation of something that may have more advantages, or any other change we would still be glad hear about
    it.

We also welcome anyone to work on any existing issues with the `👋🏽 good first issue` tag.

#### Requirements

For a contribution to be accepted:

- The test suite must be complete and pass
- Code must follow existing styling conventions
- Commit messages must be descriptive. Related issues should be mentioned by number.

If the contribution doesn't meet these criteria, a maintainer will discuss it with you on the Issue. You can still
continue to add more commits to the branch you have sent the Pull Request from.

Don't forget to give the project a star ⭐!

### 📝📝📝 How to Contribute

1. Fork this repository
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request
