import { nodeServerAdapter } from '@builder.io/qwik-city/adapters/node-server/vite';
import { extendConfig } from '@builder.io/qwik-city/vite';
import baseConfig from '../../vite.config';

export default extendConfig(baseConfig as any, () => {
  return {
    build: {
      ssr: true,
      rollupOptions: {
        input: ['apps/frontend/src/entry.express.tsx', '@qwik-city-plan'],
      },
    },
    plugins: [
      nodeServerAdapter({
        name: 'express',
        ssg: {
          origin: `https://${process.env.DOMAIN}`,
          include: [],
        },
      }),
    ],
  };
});
